/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of Modelling which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

export interface Assignable {
  assign (a: Assignable): void;
  assign_to (a: Assignable): void;
  to_object (): Record<string, unknown>;
}
